
Katello - Bug #5472

Rvm::bundler fails to use sudo when Requiretty is enabled

04/28/2014 12:56 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

[ WARN 2014-04-28 11:01:12 verbose]  /Stage[main]/Katello_devel::Setup/Katello_devel::Rvm_bundle[e

xec rake db:seed]/Exec[rvm-bundle-exec rake db:seed]/returns: sudo: sorry, you must have a tty to 

run sudo

[ERROR 2014-04-28 11:01:12 verbose]  /Stage[main]/Katello_devel::Setup/Katello_devel::Rvm_bundle[e

xec rake db:seed]/Exec[rvm-bundle-exec rake db:seed]: Failed to call refresh: sudo su stbenjam -c 

'/bin/bash --login -c "rvm use 1.9.3-p448 && bundle exec rake db:seed"' returned 1 instead of one 

of [0]

[ERROR 2014-04-28 11:01:12 verbose]  /Stage[main]/Katello_devel::Setup/Katello_devel::Rvm_bundle[e

xec rake db:seed]/Exec[rvm-bundle-exec rake db:seed]: sudo su stbenjam -c '/bin/bash --login -c "r

vm use 1.9.3-p448 && bundle exec rake db:seed"' returned 1 instead of one of [0]

<pre>

Associated revisions

Revision 020efd57 - 04/28/2014 08:58 AM - Stephen Benjamin 

fixes #5472 - disable requiretty for katello_devel user

Revision 1f45ff48 - 04/29/2014 09:58 AM - Eric Helms

Merge pull request #4 from stbenjam/5472-sudoers

fixes #5472 - disable requiretty for katello_devel user

Revision dc1e082a - 05/02/2014 01:10 PM - Eric Helms

Merge pull request #52 from ehelms/fixes-devel-issues

Fixes #5495, #5472, #5467 - Updates to the devel module to address RVM issues.

History

#1 - 04/28/2014 01:00 PM - Stephen Benjamin

PR https://github.com/Katello/puppet-katello_devel/pull/4

#2 - 05/02/2014 02:01 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|commit:dc1e082a2cc58741ef720c4cd530bbff0eafee5a.

#3 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#4 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes
https://github.com/Katello/puppet-katello_devel/pull/4


#5 - 08/22/2014 08:05 AM - Eric Helms

- translation missing: en.field_release set to 13
